HELOC Inquiries/Inquiries
Start an inquiry
POST
/products /heloc /v1 /inquiry /startHeaders
User-AgentstringRequired
Request body
application/jsonSend this body encrypted as a JWE: { "encrypted": "<JWE>" }. The fields below describe the payload before encryption. Can't encrypt client-side? Use the Encryption API.
requestobjectRequiredShowHide 2 attributes of request
loanOriginatorUuidstringRequiredasyncbooleanRequiredDeprecatedWill be removed from all requests in a future release. This is no longer an option on some requests. Async will be the only option.
applicantobjectRequiredShowHide 7 attributes of applicant
nameobjectRequiredShowHide 5 attributes of name
firstNamestringRequiredPattern^[a-zA-Z0-9\s\-']+$lastNamestringRequiredPattern^[a-zA-Z0-9\s\-']+$prefixstringPattern^[a-zA-Z0-9\s\-']+$middleNamestringPattern^[a-zA-Z0-9\s\-']+$suffixstring
dobstring<date>RequiredphonestringRequiredPattern^\(?\d{3}\)?[\s.-]?\d{3}[\s.-]?\d{4}$emailstringRequiredPattern^(?:[a-zA-Z0-9!#\$%&'*+/=?^_`{|}~-]+(?:\.[a-zA-Z0-9!#\$%&'*+/=?^_`{|}~-]+)*|\"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*\")@(?:(?:[a-zA-Z0-9](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?\.)+[a-zA-Z0-9](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?|\[(?:(?:(2(5[0-5]|[0-4][0-9])|1[0-9][0-9]|[1-9]?[0-9]))\.){3}(?:(2(5[0-5]|[0-4][0-9])|1[0-9][0-9]|[1-9]?[0-9])|[a-zA-Z0-9-]*[a-zA-Z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])$Show full patternShow lesshomeAddressobjectRequiredShowHide 5 attributes of homeAddress
street1stringRequiredPattern^[a-zA-Z0-9\s\-\.']+$citystringRequiredPattern^[a-zA-Z\s\-']+$statestringRequiredPattern^[A-Z]{2}$zipstringRequiredPattern^[0-9]{5}(?:-[0-9]{4})?$street2stringPattern^[a-zA-Z0-9\s\-\.']+$
incomeobjectRequiredShowHide 7 attributes of income
employmentTypeenumRequiredOne of11 values
UNKNOWNOTHERSELF_EMPLOYEDFULL_TIMEPART_TIMERETIREDUNEMPLOYEDALIMONYCHILD_SUPPORTPUBLIC_ASSISTANCE_PROGRAMSEPARATE_MAINTENANCE_PAYMENTSgrossAnnualIncomenumberRequired≤ 99999999
annualRetirementIncomenumberannualInvestmentIncomenumberannualBusinessIncomenumber≤ 99999999
savingsAmountnumberotherAnnualIncomenumber≤ 99999999
ssnstringPattern^(([0-9]{9})|([0-9]{3}-[0-9]{2}-[0-9]{4}))$
propertyobjectRequiredShowHide 6 attributes of property
addressobjectRequiredShowHide 5 attributes of address
street1stringRequiredPattern^[a-zA-Z0-9\s\-\.']+$citystringRequiredPattern^[a-zA-Z\s\-']+$statestringRequiredPattern^[A-Z]{2}$zipstringRequiredPattern^[0-9]{5}(?:-[0-9]{4})?$street2stringPattern^[a-zA-Z0-9\s\-\.']+$
propertyTypeenumRequiredOne ofUNKNOWNPRIMARYSECONDARYINVESTMENTisListedForSalebooleanRequiredborrowerEstimatedValuenumberliensarray of objectsShowHide 5 attributes of liens
originationDatestring<date>RequiredoriginalBalancenumberRequiredlenderNamestringcurrentBalancenumbermonthlyPaymentnumber
ownershipTypeenumOne ofUNKNOWNSOLEJOINTTRUSTLLCOTHER
partnerDataRequestobjectShowHide 4 attributes of partnerDataRequest
externalAppIdstringexternalReferenceIdstringexternalCustomerIdstringutmParametersobjectShowHide 5 attributes of utmParameters
sourcestringmediumstringcampaignstringtermstringcontentstring
testVariantsRequestobjectShowHide 1 attribute of testVariantsRequest
variantsarray of objectsRequiredShowHide 1 attribute of variants
namestringRequired
businessInfoobjectShowHide 7 attributes of businessInfo
entityNamestringentityTypeenumOne ofSOLE_PROPRIETORSHIPSINGLE_OWNER_LLCPARTNERSHIPMULTI_OWNER_LLCS_CORPPARTNERSHIP_OR_LLCownershipPercentagenumbertotalMonthlyRevenuenumbereinstringstateOfIncorporationstringPattern^[A-Za-z]{2}$addressobjectShowHide 5 attributes of address
street1stringRequiredPattern^[a-zA-Z0-9\s\-\.']+$citystringRequiredPattern^[a-zA-Z\s\-']+$statestringRequiredPattern^[A-Z]{2}$zipstringRequiredPattern^[0-9]{5}(?:-[0-9]{4})?$street2stringPattern^[a-zA-Z0-9\s\-\.']+$
Responses
200OKobject
dataobjectShowHide 1 attribute of data
appUuidstring<uuid>Required
messagesarray of objectsShowHide 2 attributes of messages
levelstringRequiredmessagestringRequired
Response
POST
/products /heloc /v1 /inquiry /startTemplate: replace the placeholder with your encrypted payload. See Encrypt a payload.
Response